#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress-Lzf
Summary:	Modules to read/write lzf files/buffers
Summary(pl.UTF-8):	Moduły do odczytu/zapisu plików/buforów lzf
Name:		perl-IO-Compress-Lzf
Version:	2.074
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7db7efeb9d0566fe1259f4d9ecedbb51
URL:		http://search.cpan.org/dist/IO-Compress-Lzf/
BuildRequires:	perl-ExtUtils-MakeMaker >= 5.16
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-LZF
BuildRequires:	perl-IO-Compress >= %{version}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Compress::Lzf and IO::Uncompress::UnLzf modules provide a Perl
interface that allows reading and writing lzf compressed data from/to
files or buffer.

Note that although this module uses Compress::LZF for compression, it
uses a different file format. The lzf file format used here is the
same as the lzf command-line utility that ships with the lzf library.

%description -l pl.UTF-8
Moduły IO::Compress::Lzf i IO::Uncompress::UnLzf udostępniają perlowy
interfejs umożliwiający odczyt i zapis danych skompresowanych
algorytmem lzf z/do plików lub buforów.

Należy zauważyć, że choć ten moduł wykorzystuje do kompresji moduł
Compress::LZF, używa innego formatu plików. Używany tutaj format
plików jest taki sam jak narzędzia lzf uruchamianego z linii poleceń,
dostarczanego wraz z biblioteką lzf.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/Compress/Adapter/Lzf.pm
%{perl_vendorlib}/IO/Compress/Lzf.pm
%{perl_vendorlib}/IO/Uncompress/Adapter/Lzf.pm
%{perl_vendorlib}/IO/Uncompress/UnLzf.pm
%{_mandir}/man3/IO::Compress::Lzf.3pm*
%{_mandir}/man3/IO::Uncompress::UnLzf.3pm*
%changelog
* Mon Aug 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Compress-Lzf.git;a=log;h=master

* Mon Aug 27 2018 Jakub Bogusz <qboosh@pld-linux.org> c61be23
- updated to 2.074

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 37c2377
- updated to 2.052

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> b0d17bd
- up to 2.048

* Tue Jan 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 000fce5
- uninified Source0 URL

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> f58d4b7
- release 2

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 0c8aa36
- up to 2.045

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 12fd871
- updated to 2.033

* Tue Nov 24 2009 amateja <amateja@pld-linux.org> 332d8f2
- updated to 2.023

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> a7d698b
- updated to 2.021

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> a7c3a03
- up to 2.015

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 48aa88c
- up to 2.008

* Tue May 29 2007 Jakub Bogusz <qboosh@pld-linux.org> ef81e62
- versioned IO::Compress::Base dep

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 725bab0
- up to 2.004, rel 1, builds here

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c984b73
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 62a6aac
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 3380130
- new

